Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface DirectoryReport

    org.gradle.util.Configurable
      org.gradle.api.reporting.DirectoryReport
          org.gradle.api.reporting.ConfigurableReport
              org.gradle.api.reporting.Report

All Superinterfaces:
  Configurable, ConfigurableReport, Report

    @Incubating
    public interface DirectoryReport
    extends ConfigurableReport

A directory based report to be created.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`File` | `getEntryPoint()` Returns the entry point of a directory based Report
`OutputType` | `getOutputType()` Always returns Report.OutputType#DIRECTORY

Methods inherited from interface ConfigurableReport
setDestination

Methods inherited from interface Report
getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled

Method Detail

### getEntryPoint

    public File getEntryPoint()

  Returns the entry point of a directory based Report This can be the index.html file in a html report
  Returns:
    the entry point of the report or DirectoryReport.getDestination if no entry point defined

### getOutputType

    public OutputType getOutputType()

  Always returns Report.OutputType#DIRECTORY
  Returns:
    Report.OutputType#DIRECTORY

Gradle API 1.10